com.microsoft.sqlserver.jdbc

## Interface SQLServerKeyVaultAuthenticationCallback

    public interface SQLServerKeyVaultAuthenticationCallback

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAccessToken(String authority, String resource, String scope)` The authentication callback delegate which is to be implemented by the client code

### Method Detail

#### getAccessToken

    String getAccessToken(String authority,
                          String resource,
                          String scope)

The authentication callback delegate which is to be implemented by the client code

Parameters:
  `authority` - - Identifier of the authority, a URL.
  `resource` - - Identifier of the target resource that is the recipient of the requested token, a URL.
  `scope` - - The scope of the authentication request.
Returns:
  access token